If you have technical questions, please create a support ticket in the DevExpress Support Center.
import React, { useCallback, useState } from 'react';
import CheckBox, { CheckBoxTypes } from 'devextreme-react/check-box';
import SelectBox, { SelectBoxTypes } from 'devextreme-react/select-box';
import NumberBox, { NumberBoxTypes } from 'devextreme-react/number-box';
import Form, { FormTypes } from 'devextreme-react/form';
import service from './data.ts';
const labelModes = ['outside', 'static', 'floating', 'hidden'];
const labelLocations = ['left', 'top'];
const columnsCount = ['auto', 1, 2, 3];
const minColumnWidths = [150, 200, 300];
const widthLabel = { 'aria-label': 'Width' };
const companyLabel = { 'aria-label': 'Company' };
const labelModeLabel = { 'aria-label': 'Label Mode' };
const labelLocationLabel = { 'aria-label': 'Label Location' };
const columnCountLabel = { 'aria-label': 'Column Count' };
const minCountWidthLabel = { 'aria-label': 'Min Count Width' };
const App = () => {
const companies = service.getCompanies();
const [labelMode, setLabelMode] = useState<FormTypes.Properties['labelMode']>('floating');
const [labelLocation, setLabelLocation] = useState<FormTypes.Properties['labelLocation']>('left');
const [readOnly, setReadOnly] = useState(false);
const [showColon, setShowColon] = useState(true);
const [minColWidth, setMinColWidth] = useState(300);
const [colCount, setColCount] = useState(2);
const [company, setCompany] = useState(companies[0]);
const [width, setWidth] = useState();
const onCompanyChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setCompany(e.value);
}, [setCompany]);
const onLabelModeChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setLabelMode(e.value);
}, [setLabelMode]);
const onLabelLocationChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setLabelLocation(e.value);
}, [setLabelLocation]);
const onReadOnlyChanged = useCallback((e: CheckBoxTypes.ValueChangedEvent) => {
setReadOnly(e.value);
}, [setReadOnly]);
const onShowColonChanged = useCallback((e: CheckBoxTypes.ValueChangedEvent) => {
setShowColon(e.value);
}, [setShowColon]);
const onMinColWidthChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setMinColWidth(e.value);
}, [setMinColWidth]);
const onColumnsCountChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => {
setColCount(e.value);
}, [setColCount]);
const onFormWidthChanged = useCallback((e: NumberBoxTypes.ValueChangedEvent) => {
setWidth(e.value);
}, [setWidth]);
const companySelectorLabelMode: SelectBoxTypes.Properties['labelMode'] = labelMode === 'outside'
? 'hidden'
: labelMode;
return (
<div id="form-demo">
<div className="widget-container">
{labelMode === 'outside' && (<div>Select company:</div>)}
<SelectBox
displayExpr="Name"
dataSource={companies}
inputAttr={companyLabel}
labelMode={companySelectorLabelMode}
label='Select company'
value={company}
onValueChanged={onCompanyChanged}
/>
<Form
id="form"
labelMode={labelMode}
formData={company}
readOnly={readOnly}
showColonAfterLabel={showColon}
labelLocation={labelLocation}
minColWidth={minColWidth}
colCount={colCount}
width={width}
/>
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Label mode:</span>
<SelectBox
items={labelModes}
inputAttr={labelModeLabel}
value={labelMode}
onValueChanged={onLabelModeChanged}
/>
</div>
<div className="option">
<span>Label location:</span>
<SelectBox
items={labelLocations}
inputAttr={labelLocationLabel}
value={labelLocation}
onValueChanged={onLabelLocationChanged}
/>
</div>
<div className="option">
<span>Columns count:</span>
<SelectBox
items={columnsCount}
value={colCount}
inputAttr={columnCountLabel}
onValueChanged={onColumnsCountChanged}
/>
</div>
<div className="option">
<span>Min column width:</span>
<SelectBox
items={minColumnWidths}
value={minColWidth}
inputAttr={minCountWidthLabel}
onValueChanged={onMinColWidthChanged}
/>
</div>
<div className="option">
<span>Form width:</span>
<NumberBox
max={550}
value={width}
inputAttr={widthLabel}
onValueChanged={onFormWidthChanged}
/>
</div>
<div className="option">
<CheckBox
text="readOnly"
value={readOnly}
onValueChanged={onReadOnlyChanged}
/>
</div>
<div className="option">
<CheckBox
text="showColonAfterLabel"
value={showColon}
onValueChanged={onShowColonChanged}
/>
</div>
</div>
</div>
);
};
export default App;
xxxxxxxxxx
import React, { useCallback, useState } from 'react';
import CheckBox from 'devextreme-react/check-box';
import SelectBox from 'devextreme-react/select-box';
import NumberBox from 'devextreme-react/number-box';
import Form from 'devextreme-react/form';
import service from './data.js';
const labelModes = ['outside', 'static', 'floating', 'hidden'];
const labelLocations = ['left', 'top'];
const columnsCount = ['auto', 1, 2, 3];
const minColumnWidths = [150, 200, 300];
const widthLabel = { 'aria-label': 'Width' };
const companyLabel = { 'aria-label': 'Company' };
const labelModeLabel = { 'aria-label': 'Label Mode' };
const labelLocationLabel = { 'aria-label': 'Label Location' };
const columnCountLabel = { 'aria-label': 'Column Count' };
const minCountWidthLabel = { 'aria-label': 'Min Count Width' };
const App = () => {
const companies = service.getCompanies();
const [labelMode, setLabelMode] = useState('floating');
const [labelLocation, setLabelLocation] = useState('left');
const [readOnly, setReadOnly] = useState(false);
const [showColon, setShowColon] = useState(true);
const [minColWidth, setMinColWidth] = useState(300);
const [colCount, setColCount] = useState(2);
const [company, setCompany] = useState(companies[0]);
const [width, setWidth] = useState();
const onCompanyChanged = useCallback(
(e) => {
setCompany(e.value);
},
[setCompany],
);
const onLabelModeChanged = useCallback(
(e) => {
setLabelMode(e.value);
},
[setLabelMode],
);
const onLabelLocationChanged = useCallback(
(e) => {
setLabelLocation(e.value);
},
[setLabelLocation],
);
const onReadOnlyChanged = useCallback(
(e) => {
setReadOnly(e.value);
},
[setReadOnly],
);
const onShowColonChanged = useCallback(
(e) => {
setShowColon(e.value);
},
[setShowColon],
);
const onMinColWidthChanged = useCallback(
(e) => {
setMinColWidth(e.value);
},
[setMinColWidth],
);
const onColumnsCountChanged = useCallback(
(e) => {
setColCount(e.value);
},
[setColCount],
);
const onFormWidthChanged = useCallback(
(e) => {
setWidth(e.value);
},
[setWidth],
);
const companySelectorLabelMode = labelMode === 'outside' ? 'hidden' : labelMode;
return (
<div id="form-demo">
<div className="widget-container">
{labelMode === 'outside' && <div>Select company:</div>}
<SelectBox
displayExpr="Name"
dataSource={companies}
inputAttr={companyLabel}
labelMode={companySelectorLabelMode}
label="Select company"
value={company}
onValueChanged={onCompanyChanged}
/>
<Form
id="form"
labelMode={labelMode}
formData={company}
readOnly={readOnly}
showColonAfterLabel={showColon}
labelLocation={labelLocation}
minColWidth={minColWidth}
colCount={colCount}
width={width}
/>
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Label mode:</span>
<SelectBox
items={labelModes}
inputAttr={labelModeLabel}
value={labelMode}
onValueChanged={onLabelModeChanged}
/>
</div>
<div className="option">
<span>Label location:</span>
<SelectBox
items={labelLocations}
inputAttr={labelLocationLabel}
value={labelLocation}
onValueChanged={onLabelLocationChanged}
/>
</div>
<div className="option">
<span>Columns count:</span>
<SelectBox
items={columnsCount}
value={colCount}
inputAttr={columnCountLabel}
onValueChanged={onColumnsCountChanged}
/>
</div>
<div className="option">
<span>Min column width:</span>
<SelectBox
items={minColumnWidths}
value={minColWidth}
inputAttr={minCountWidthLabel}
onValueChanged={onMinColWidthChanged}
/>
</div>
<div className="option">
<span>Form width:</span>
<NumberBox
max={550}
value={width}
inputAttr={widthLabel}
onValueChanged={onFormWidthChanged}
/>
</div>
<div className="option">
<CheckBox
text="readOnly"
value={readOnly}
onValueChanged={onReadOnlyChanged}
/>
</div>
<div className="option">
<CheckBox
text="showColonAfterLabel"
value={showColon}
onValueChanged={onShowColonChanged}
/>
</div>
</div>
</div>
);
};
export default App;
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
xxxxxxxxxx
const companies = [{
ID: 1,
Name: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
ZipCode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: '',
Active: true,
}, {
ID: 2,
Name: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
ZipCode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: '',
Active: true,
}, {
ID: 3,
Name: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
ZipCode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: '',
Active: true,
}, {
ID: 4,
Name: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
ZipCode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: '',
Active: true,
}];
export default {
getCompanies() {
return companies;
},
};
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.5/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.59/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
const companies = [
{
ID: 1,
Name: 'Super Mart of the West',
Address: '702 SW 8th Street',
City: 'Bentonville',
State: 'Arkansas',
ZipCode: 72716,
Phone: '(800) 555-2797',
Fax: '(800) 555-2171',
Website: '',
Active: true,
},
{
ID: 2,
Name: 'Electronics Depot',
Address: '2455 Paces Ferry Road NW',
City: 'Atlanta',
State: 'Georgia',
ZipCode: 30339,
Phone: '(800) 595-3232',
Fax: '(800) 595-3231',
Website: '',
Active: true,
},
{
ID: 3,
Name: 'K&S Music',
Address: '1000 Nicllet Mall',
City: 'Minneapolis',
State: 'Minnesota',
ZipCode: 55403,
Phone: '(612) 304-6073',
Fax: '(612) 304-6074',
Website: '',
Active: true,
},
{
ID: 4,
Name: "Tom's Club",
Address: '999 Lake Drive',
City: 'Issaquah',
State: 'Washington',
ZipCode: 98027,
Phone: '(800) 955-2292',
Fax: '(800) 955-2293',
Website: '',
Active: true,
},
];
export default {
getCompanies() {
return companies;
},
};
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
.widget-container {
margin-right: 320px;
padding: 20px;
max-width: 550px;
min-width: 300px;
}
#form {
margin-top: 25px;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 260px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
You can use the editors on the right to modify the following properties:
-
labelMode: "outside" | "static" | "floating" | "hidden"
Specifies label display mode. -
labelLocation: "top" | "left" | "right"
Specifies whether to place outer labels above, to the left, or to the right of corresponding editors. The latter location is not demonstrated in this example. -
colCount
Specifies the number of columns in the layout. To build an adaptive layout where the column count depends on the container width, set this property's value to "auto". -
minColWidth
Specifies the minimum column width. Use this property when the colCount property's value is "auto". -
width
Specifies the Form component's width. -
readOnly
Makes the Form editors read-only. -
showColonAfterLabel
Specifies whether the Form displays a colon after a label.
To get started with the DevExtreme Form component, refer to the following tutorial for step-by-step instructions: Getting Started with Form.

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

The Form component builds a data entry UI for an object assigned to the formData property. The component displays and aligns label-editor pairs for each field in the bound object.

You can use the editors on the right to modify the following properties:

  • labelMode: "outside" | "static" | "floating" | "hidden"
    Specifies label display mode.

  • labelLocation: "top" | "left" | "right"
    Specifies whether to place outer labels above, to the left, or to the right of corresponding editors. The latter location is not demonstrated in this example.

  • colCount
    Specifies the number of columns in the layout. To build an adaptive layout where the column count depends on the container width, set this property's value to "auto".

  • minColWidth
    Specifies the minimum column width. Use this property when the colCount property's value is "auto".

  • width
    Specifies the Form component's width.

  • readOnly
    Makes the Form editors read-only.

  • showColonAfterLabel
    Specifies whether the Form displays a colon after a label.

To get started with the DevExtreme Form component, refer to the following tutorial for step-by-step instructions: Getting Started with Form.

Backend API
<template> <div id="form-demo"> <div class="widget-container"> <div v-if="labelMode === 'outside'">Select company:</div> <DxSelectBox :data-source="companies" :label-mode="companySelectorLabelMode" :input-attr="{ 'aria-label': 'Company' }" label="Select company" v-model:value="companyName" display-expr="Name" value-expr="Name" /> <DxForm id="form" :form-data="company" :label-mode="labelMode" :read-only="readOnly" :show-colon-after-label="showColon" :label-location="labelLocation" :min-col-width="minColWidth" :col-count="colCount" :width="width" /> </div> <div class="options"> <div class="caption">Options</div> <div class="option"> <span>Label mode:</span> <DxSelectBox :items="labelModes" :input-attr="{ 'aria-label': 'Label Mode' }" v-model:value="labelMode" /> </div> <div class="option"> <span>Label location:</span> <DxSelectBox :items="labelLocations" :input-attr="{ 'aria-label': 'Label Location' }" v-model:value="labelLocation" /> </div> <div class="option"> <span>Columns count:</span> <DxSelectBox :items="columnsCounts" :input-attr="{ 'aria-label': 'Column Count' }" v-model:value="colCount" /> </div> <div class="option"> <span>Min column width:</span> <DxSelectBox :items="minColumnWidths" :input-attr="{ 'aria-label': 'Min Column Width' }" v-model:value="minColWidth" /> </div> <div class="option"> <span>Form width:</span> <DxNumberBox :max="550" v-model:value="width" :input-attr="{ 'aria-label': 'Form Width' }" /> </div> <div class="option"> <DxCheckBox v-model:value="readOnly" text="readOnly" /> </div> <div class="option"> <DxCheckBox v-model:value="showColon" text="showColonAfterLabel" /> </div> </div> </div> </template> <script setup lang="ts"> import { computed, ref } from 'vue'; import DxCheckBox from 'devextreme-vue/check-box'; import DxSelectBox from 'devextreme-vue/select-box'; import DxNumberBox from 'devextreme-vue/number-box'; import DxForm from 'devextreme-vue/form'; import service from './data.ts'; const labelModes = ['outside', 'static', 'floating', 'hidden']; const labelLocations = ['left', 'top']; const columnsCounts = ['auto', 1, 2, 3]; const minColumnWidths = [150, 200, 300]; const companies = service.getCompanies(); const labelMode = ref('floating'); const labelLocation = ref('left'); const readOnly = ref(false); const showColon = ref(true); const minColWidth = ref(300); const colCount = ref(2); const companyName = ref(companies[0].Name); const width = ref(null); const company = computed(() => companies.find(({ Name }) => Name === companyName.value)); const companySelectorLabelMode = computed(() => { if (labelMode.value === 'outside') { return 'hidden'; } return labelMode.value; }); </script> <style scoped> .widget-container { margin-right: 320px; padding: 20px; max-width: 550px; min-width: 300px; } #form { margin-top: 25px; } .options { padding: 20px; position: absolute; bottom: 0; right: 0; width: 260px; top: 0; background-color: rgba(191, 191, 191, 0.15); } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
const companies = [{ ID: 1, Name: 'Super Mart of the West', Address: '702 SW 8th Street', City: 'Bentonville', State: 'Arkansas', ZipCode: 72716, Phone: '(800) 555-2797', Fax: '(800) 555-2171', Website: '', Active: true, }, { ID: 2, Name: 'Electronics Depot', Address: '2455 Paces Ferry Road NW', City: 'Atlanta', State: 'Georgia', ZipCode: 30339, Phone: '(800) 595-3232', Fax: '(800) 595-3231', Website: '', Active: true, }, { ID: 3, Name: 'K&S Music', Address: '1000 Nicllet Mall', City: 'Minneapolis', State: 'Minnesota', ZipCode: 55403, Phone: '(612) 304-6073', Fax: '(612) 304-6074', Website: '', Active: true, }, { ID: 4, Name: "Tom's Club", Address: '999 Lake Drive', City: 'Issaquah', State: 'Washington', ZipCode: 98027, Phone: '(800) 955-2292', Fax: '(800) 955-2293', Website: '', Active: true, }]; export default { getCompanies() { return companies; }, };
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css" /> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>